Gentoo Archives: gentoo-perl

From: Nikolai Drozd <dnikolai@×××××.com>
To: gentoo-perl@l.g.o
Subject: Re: [gentoo-perl] perl-5.10.1_rc2 and patches
Date: Fri, 21 Aug 2009 14:39:42
In Reply to: [gentoo-perl] perl-5.10.1_rc2 and patches by Sergiy Borodych
Why do you not build perl from overlay? Why did you copy and rename 
ebuild? It's really strange. Just add the perl-experimental overlay 
unmask 5.10 and install it as you do with any other package.

Sergiy Borodych wrote:
> Hi ALL, > > I'm try some days ago a new perl 5.10.1 RC2 on ~amd64 > Get perl-5.10.0-r2 ebuild from perl-experimental > I rename it and copy all patches. > Some patches don't applied, > but I disabled them and install ok. > > After that run perl-cleaner (fixed version) > and rebuild all > > Now I have all worked. > Tested with preferred applications (like gmb) > and some my scripts - all work like a sharm. > But mod_perl not tested yet. > > So my question: > What patches (from disabled by me) are critical ? > > I disabled patches: > > 903_all_picdl.patch.bkp > 906_all_5.8.7-MakeMaker-RUNPATH.patch.bkp > 922_all_CVE-2008-2827.patch.bkp > 923_all_cleanup-paths.patch.bkp > > What of them I need reedit ? >


Subject Author
Re: [gentoo-perl] perl-5.10.1_rc2 and patches Sergiy Borodych <bor@×××××××××.ua>